<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>New joke</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
<h1>Input new joke below</h1>
<!--/*@thymesVar id="jokeForm" type="croz.posao.vicevi.model.form.JokeForm"*/-->
<form action="#" th:action="@{/new}" th:object="${jokeForm}" method="post">
    <table>
        <tr>
            <td><textarea type="text" rows="15" cols="60" th:field="*{content}" th:maxlength="1024" th:style="'white-space:pre'"></textarea></td>
            <td th:if="${#fields.hasErrors('content')}" th:errors="*{content}">Content Error</td>
        </tr>
        <tr>
            <td><select th:field="*{categoryId}">
                <option value="-1" id="category">Select a category</option>
                <option th:each="category : ${allCategories.keySet()} " th:value="${allCategories.get(category)}"th:text="${category}"></option>
            </select></td>
            <td th:if="${#fields.hasErrors('categoryId')}" th:errors="*{categoryId}">Category id</td>
        </tr>
    </table>
    <p><input type="submit" value="Submit" /> <input type="reset" value="Reset" /></p>


</form>

</body>
</html>